#!/bin/sh
##
##  Network settings watchdog for UR5i-v2 router
## Version 0.0.1b   4/15/2014
##


# loading functions from network_advanced.sh 
. /opt/advanced_security/bin/network_advanced.sh 


WATCHDOG_TIMEOUT_SEC="10"



while true ; do
    
  SETTINGS_VALUE=$(get_settings_value "ENABLED")
  
  if [ "$SETTINGS_VALUE" = "1" ] ; then
  
  compare_report
    if [ "$?" = "1" ] ; then
      logger -t "Advanced Security" "Network configuration was changed ! Applying secure network settings again."
      setup > "/var/advanced_security/secure_log"
    fi
  fi
    
  sleep "$WATCHDOG_TIMEOUT_SEC"  
done





